<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateManagementLinksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('management_links', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('member_id');
            $table->string('title')->nullable();
            $table->text('url')->nullable();
            $table->enum('target', ['blank', 'self']);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('management_links');
    }
}
